---

Linux 4.0.x series filesystem corruption

Several users are reporting that the 4.0 Linux kernel contains a bug which corrupts users filesystems.

To be precise it’s an EXT4 RAID issue. Any stable kernel released since mid-April probably has the bug. It appears that a “fix” to a problem present since Linux 3.14-rc1 is what’s causing the EXT4 RAID corruption issue on Linux 4.0.x.